import {Component, EventEmitter, Input, Output} from '@angular/core';
import {EditorComponent} from "ngx-monaco-editor-v2";
import {FormsModule} from "@angular/forms";

@Component({
  selector: 'app-input-output',
  standalone: true,
  imports: [
    EditorComponent,
    FormsModule
  ],
  templateUrl: './input-output.component.html',
  styleUrl: './input-output.component.scss'
})
export class InputOutputComponent {
  @Input() input!: string;
  @Input() inputOptions!: any;
  @Output() onInputChange = new EventEmitter();
  @Input() output!: string;
  @Input() outputOptions!: any;

  handleInputChange($event: string) {
    this.onInputChange.emit($event);
  }
}
